=== modified file 'Makefile'
--- Makefile	2009-09-09 11:43:10 +0000
+++ Makefile	2009-09-09 12:57:43 +0000
@@ -196,20 +196,26 @@
 derived_txt_files := \
 	doc/en/user-reference/bzr_man.txt \
 	doc/en/release-notes/NEWS.txt
-txt_files := \
+txt_all := \
 	doc/en/tutorials/tutorial.txt \
 	doc/en/tutorials/using_bazaar_with_launchpad.txt \
 	doc/en/tutorials/centralized_workflow.txt \
+        $(wildcard doc/es/tutorials/*.txt) \
         $(wildcard doc/ru/tutorials/*.txt) \
 	$(wildcard doc/*/mini-tutorial/index.txt) \
-	$(wildcard doc/*/user-guide/index.txt) \
+	$(wildcard doc/*/user-guide/index-plain.txt) \
+	$(wildcard doc/es/guia-usario/*.txt) \
 	$(derived_txt_files) \
-	doc/en/developer-guide/HACKING.txt \
 	doc/en/upgrade-guide/index.txt \
-	$(wildcard doc/es/guia-usario/*.txt) \
-	doc/es/mini-tutorial/index.txt \
 	doc/index.txt \
 	$(wildcard doc/index.*.txt)
+txt_nohtml := \
+	doc/en/user-guide/index.txt \
+	doc/es/user-guide/index.txt \
+	doc/ru/user-guide/index.txt
+txt_files := $(filter-out $(txt_nohtml), $(txt_all))
+htm_files := $(patsubst %.txt, %.html, $(txt_files)) 
+
 non_txt_files := \
        doc/default.css \
        $(wildcard doc/*/bzr-en-quick-reference.svg) \
@@ -222,7 +228,6 @@
        $(wildcard doc/*/bzr-ru-quick-reference.png) \
        $(wildcard doc/*/bzr-ru-quick-reference.pdf) \
        $(wildcard doc/*/user-guide/images/*.png)
-htm_files := $(patsubst %.txt, %.html, $(txt_files)) 
 
 # doc/developers/*.txt files that should *not* be individually
 # converted to HTML
@@ -234,15 +239,21 @@
 	doc/developers/diff.txt \
 	doc/developers/directory-fingerprints.txt \
 	doc/developers/gc.txt \
+	doc/developers/implementation-notes.txt \
 	doc/developers/incremental-push-pull.txt \
+	doc/developers/index.txt \
 	doc/developers/initial-push-pull.txt \
 	doc/developers/merge-scaling.txt \
+	doc/developers/miscellaneous-notes.txt \
 	doc/developers/missing.txt \
 	doc/developers/performance-roadmap-rationale.txt \
 	doc/developers/performance-use-case-analysis.txt \
 	doc/developers/planned-change-integration.txt \
 	doc/developers/planned-performance-changes.txt \
+	doc/developers/plans.txt \
+	doc/developers/process.txt \
 	doc/developers/revert.txt \
+	doc/developers/specifications.txt \
 	doc/developers/status.txt \
 	doc/developers/uncommit.txt
 
@@ -250,9 +261,15 @@
 dev_txt_files := $(filter-out $(dev_txt_nohtml), $(dev_txt_all))
 dev_htm_files := $(patsubst %.txt, %.html, $(dev_txt_files)) 
 
-doc/%/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/%/user-guide)) 
-	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
+doc/en/user-guide/index-plain.html: $(wildcard $(addsuffix /*.txt, doc/en/user-guide)) 
+	$(rst2html) --stylesheet=../../default.css $(dir $@)index-plain.txt $@
 
+#doc/es/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/es/user-guide)) 
+#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
+#
+#doc/ru/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/ru/user-guide)) 
+#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
+#
 doc/developers/%.html: doc/developers/%.txt
 	$(rst2html) --stylesheet=../default.css $< $@
 

=== added file 'doc/default.css'
--- doc/default.css	1970-01-01 00:00:00 +0000
+++ doc/default.css	2009-09-09 12:57:43 +0000
@@ -0,0 +1,164 @@
+/* from John Arbash Meinel's `Short tutorial' */
+
+body {
+  background-color: #ffffff;
+  color: #303030;
+  margin-top: 50px;
+  margin-left: 50px;
+  margin-right: 50px;
+  margin-bottom: 70px;
+  font-family: Verdana, Geneva, Arial, sans-serif;
+  font-size: small;
+  line-height: 140%
+  }
+
+/* p {
+  text-indent: 3em
+} */
+
+h1, h2, h3 {
+  font-family: Georgia, "Times New Roman", Times, serif;
+}
+
+h1.title {
+  text-align: center;
+  color: #000000;
+  font-size: 1.8em;
+  }
+
+
+div.contents p {
+  font-weight: bold;
+  }
+
+div.contents p a:hover {
+  color: inherit;
+  }
+
+/* Format ".. note:" sections nicely */
+div.note {
+  margin-left: 5em;
+  margin-right: 5em;
+  color: #000000;
+  background-color: #c1d1ff;
+  border: 1px solid #888888;
+  padding-left: 1em;
+  padding-right: 1em;
+  }
+
+div.note .first {
+  font-weight: bold;
+  }
+
+h1 {
+  color: #b52b2b; 
+  /* DKREDcolor: #966b72; */
+  /* GREY color: #444444; */
+  font-size: 1.5em;
+  }
+
+h1 a:link {
+  color: inherit;
+  }
+  
+h1 a:hover {
+  color: inherit;
+  }
+
+h1 a:visited {
+  color: inherit;
+  }
+
+h2 {
+  color: #222;
+  /* RED color: #966b72; */
+  text-decoration: underline;
+  font-size: 1.4em;
+  }
+
+h2 a:link {
+  color: inherit;
+  }
+
+h2 a:hover {
+  color: inherit;
+  }
+
+h2 a:visited {
+  color: inherit;
+  }
+
+h3 {
+  color: #966b72; 
+  /* color: #966b72; */
+  }
+
+h3 a:link {
+  color: inherit;
+  }
+
+h3 a:hover {
+  color: inherit;
+  }
+
+h3 a:visited {
+  color: inherit;
+  }
+
+dt {
+  color: #000000;
+  font-weight: bold;
+  }
+/*
+  border: 4px solid blue;
+  padding: 1ex;
+  background: #7777FF;
+        }
+dt:hover 
+  {
+  background-color: black;
+  }
+dt:active
+  {
+  background-color: red;
+  }
+*/
+
+tt, .literal-block {
+  font-family: monospace;
+  line-height: 100%
+  }
+
+tt {
+  color: #000000;
+  font-weight: normal;
+  }
+
+.literal-block {
+  margin-left: 5em;
+  margin-right: 5em;
+  color: #000000;
+  font-weight: normal;
+  background-color: #e5ecf9;
+  border: 1px solid #888888;
+  padding: 1em;
+  }
+
+a:link {
+  color: #4c52ff;
+  text-decoration: none;
+  }
+
+a:visited {
+  color: #4c53ff;
+  text-decoration: none;
+  }
+
+a:hover {
+  color: #b52727;
+  text-decoration: none;
+  }
+
+span, th.field-name {
+  white-space: nowrap;
+}

=== modified file 'doc/developers/HACKING.txt'
--- doc/developers/HACKING.txt	2009-09-08 01:11:40 +0000
+++ doc/developers/HACKING.txt	2009-09-09 12:57:43 +0000
@@ -260,7 +260,8 @@
 Automatically-generated API reference information is available at 
 <http://starship.python.net/crew/mwh/bzrlibapi/>.  
 
-See also the :doc:`Bazaar Architectural Overview  <overview>`.
+See also the `Bazaar Architectural Overview
+<http://doc.bazaar-vcs.org/developers/overview.html>`_.
 
 
 The Code Review Process
@@ -835,8 +836,9 @@
 Test coverage
 =============
 
-All code should be exercised by the test suite.  See :doc:`Guide to Testing
-Bazaar <testing>` for detailed information about writing tests.
+All code should be exercised by the test suite.  See the `Bazaar Testing
+Guide <http://doc.bazaar-vcs.org/developers/testing.html>`_ for detailed
+information about writing tests.
 
 
 Core Topics
@@ -1397,7 +1399,7 @@
 * reviewing changes
 * reviewing blueprints
 * planning releases
-* managing releases (see :doc:`Releasing Bazaar <releasing>`)
+* managing releases (see `Releasing Bazaar <http://doc.bazaar-vcs.org/developers/releasing.html>`_)
 
 .. note::
   Removing barriers to community participation is a key reason for adopting

=== added file 'doc/developers/index-plain.txt'
--- doc/developers/index-plain.txt	1970-01-01 00:00:00 +0000
+++ doc/developers/index-plain.txt	2009-09-09 12:57:43 +0000
@@ -0,0 +1,146 @@
+=================================
+Bazaar Developer Document Catalog
+=================================
+
+
+Overall developer documentation
+===============================
+
+* `Developer Guide <HACKING.html>`_
+
+* `Architectural Overview <overview.html>`_ |--| describes some of the
+  most important classes and concepts.
+
+* `bzrlib API reference <http://starship.python.net/crew/mwh/bzrlibapi/>`_ 
+  (external link)
+  |--| automatically generated API reference information
+
+* `Integrating with Bazaar <http://bazaar-vcs.org/Integrating_with_Bazaar>`_
+  (wiki) |--| a guide for writing Python programs that work with Bazaar.
+
+* `Revision Properties <revision-properties.html>`_ |--| An application
+  can set arbitrary per-revision key/value pairs to store app-specific
+  data.
+
+* `Testing <testing.html>`_ |--| Guide to writing tests for Bazaar.
+
+* `Writing plugins <http://bazaar-vcs.org/WritingPlugins>`_ (wiki) 
+  |--| specific advice on writing Bazaar plugins.
+
+Process
+=======
+
+* `The Bazaar Development Cycle <cycle.html>`_ |--| The monthly
+  development cycle and how to run it.
+  
+* `Releasing Bazaar <releasing.html>`_ |--| 
+  Checklist to make a release of Bazaar.
+
+* `Managing the Bazaar PPA <ppa.html>`_ |--| Packaging Bazaar for Ubuntu.
+
+* `Giving back <http://bazaar-vcs.org/BzrGivingBack>`_ (wiki) |--| How to get
+  your changes to Bazaar integrated into a release.
+
+* `Profiling notes <profiling.html>`_ |--| Instructions on how to profile 
+  bzr code and visualize the results.
+
+* `EC2 resources <ec2.html>`_ |--| A team resource for 
+  Windows packaging and testing, and Ubuntu testing.
+
+* `Tracking Bugs in Bazaar <bug-handling.html>`_ |--| How we use the bug 
+  tracker.
+
+Plans
+=====
+
+* `Performance roadmap <performance-roadmap.html>`_ |--| The roadmap 
+  for fixing performance in bzr over the next few releases.
+
+* `Co-located branches <colocated-branches.html>`_ |--| Planned(?) support
+  for storing multiple branches in one file-system directory.
+
+* `Bazaar Windows Shell Extension Options <tortoise-strategy.html>`_ |--|
+  Implmentation strategy for Bazaar Windows Shell Extensions, aka
+  TortoiseBzr.
+
+* `CHK Optimized index <improved_chk_index.html>`_
+
+Specifications
+==============
+
+* `API versioning <api-versioning.html>`_ |--| bzrlib API versioning.
+
+* `Apport error reporting <apport.html>`_ |--| Capture data to report
+  bugs.
+
+* `Authentication ring <authentication-ring.html>`_ |--| Configuring
+  authentication.
+
+* `Bundles <bundles.html>`_ |--| All about bzr bundles.
+
+* `Container format <container-format.html>`_ |--| Notes on a container format
+  for streaming and storing Bazaar data.
+
+* `Groupcompress <groupcompress-design.html>`_ |--| Notes on the compression
+  technology used in CHK repositories.
+
+* `Indices <indices.html>`_ |--| The index facilities available within bzrlib.
+
+* `Inventories <inventory.html>`_ |--| Tree shape abstraction.
+
+* `LCA merge <lca-merge.html>`_ |--| A nice new merge algorithm.
+
+* `Network protocol <network-protocol.html>`_ |--| Custom network protocol.
+
+* `Plugin APIs <plugin-api.html>`_ |--| APIs plugins should use.
+
+* `Repositories <repository.html>`_ |--| What repositories do and are used for.
+
+* `Repository stream <repository-stream.html>`_ |--| Notes on streaming data
+  for repositories (a layer above the container format).
+
+* `Integration Guide <integration.html>`_ |--| A guide to integrate bzrlib into
+  any python application.
+
+* `Bazaar and case-insensitive file systems <case-insensitive-file-systems.html>`_
+  |--| How Bazaar operates on case-insensitive file systems such as commonly
+  found on Windows, USB sticks, etc.
+
+* `Development repository formats <development-repo.html>`_ |--| How to
+  work with repository formats that are still under development.
+  Contains instructions for those implementing new formats, of course,
+  but also for (bleeding-edge) end users of those formats.
+
+Data formats
+============
+
+* `Knit pack repositories <packrepo.html>`_ |--| KnitPack repositories 
+  (new in Bazaar 0.92).
+
+Implementation notes
+====================
+
+* `BTree Index Prefetch <btree_index_prefetch.html>`_ |--| How bzr decides
+  to pre-read extra nodes in the btree index.
+
+* `Computing last_modified values <last-modified.html>`_ for inventory
+  entries
+
+* `Content filtering <content-filtering.html>`_
+
+* `LCA Tree Merging <lca_tree_merging.html>`_ |--| Merging tree-shape when
+  there is not a single unique ancestor (criss-cross merge).
+
+Miscellaneous
+=============
+
+* `dirstate <dirstate.html>`_ |--| An observation re. the dirstate file
+
+* `"bzr update" performance analysis <update.html>`_ |--| "bzr update"
+  performance analysis
+
+
+.. |--| unicode:: U+2014
+
+..
+   vim: ft=rst tw=74 ai

=== modified file 'doc/developers/releasing.txt'
--- doc/developers/releasing.txt	2009-09-08 01:11:40 +0000
+++ doc/developers/releasing.txt	2009-09-09 12:57:43 +0000
@@ -3,7 +3,8 @@
 
 This document describes the processes for making and announcing a Bazaar
 release, and managing the release process.  This is just one phase of the 
-:doc:`overall development cycle <cycle>`, but it's the most complex part.
+`overall development cycle <http://doc.bazaar-vcs.org/developers/cycle.html>`_,
+but it's the most complex part.
 This document gives a checklist you can follow from start to end in one
 go.
 

=== added file 'doc/en/user-guide/index-plain.txt'
--- doc/en/user-guide/index-plain.txt	1970-01-01 00:00:00 +0000
+++ doc/en/user-guide/index-plain.txt	2009-09-09 12:57:43 +0000
@@ -0,0 +1,119 @@
+#################
+Bazaar User Guide
+#################
+
+.. Please mark sections in included files as following:
+..   level 1 ========
+..   level 2 --------
+..   level 3 ~~~~~~~~
+..   level 4 ^^^^^^^^ (it is better not to use nesting deeper than 3 levels)
+
+.. contents:: :depth: 3
+
+
+Introduction
+############
+
+.. include:: introducing_bazaar.txt
+.. include:: core_concepts.txt
+.. include:: bazaar_workflows.txt
+
+
+Getting started
+###############
+
+.. include:: installing_bazaar.txt
+.. include:: entering_commands.txt
+.. include:: getting_help.txt
+.. include:: configuring_bazaar.txt
+.. include:: using_aliases.txt
+.. include:: plugins.txt
+.. include:: zen.txt
+
+
+Personal version control
+########################
+
+.. include:: solo_intro.txt
+.. include:: starting_a_project.txt
+.. include:: controlling_registration.txt
+.. include:: reviewing_changes.txt
+.. include:: recording_changes.txt
+.. include:: browsing_history.txt
+.. include:: releasing_a_project.txt
+.. include:: undoing_mistakes.txt
+
+
+Sharing with peers
+##################
+
+.. include:: partner_intro.txt
+.. include:: branching_a_project.txt
+.. include:: merging_changes.txt
+.. include:: resolving_conflicts.txt
+.. include:: annotating_changes.txt
+
+
+Team collaboration, central style
+#################################
+
+.. include:: central_intro.txt
+.. include:: publishing_a_branch.txt
+.. include:: using_checkouts.txt
+.. include:: working_offline_central.txt
+.. include:: reusing_a_checkout.txt
+
+
+Team collaboration, distributed style
+#####################################
+
+.. include:: distributed_intro.txt
+.. include:: organizing_branches.txt
+.. include:: using_gatekeepers.txt
+.. include:: sending_changes.txt
+
+
+Miscellaneous topics
+####################
+
+.. include:: part2_intro.txt
+.. include:: adv_merging.txt
+.. include:: shelving_changes.txt
+.. include:: filtered_views.txt
+.. include:: stacked.txt
+.. include:: server.txt
+.. include:: hooks.txt
+.. include:: version_info.txt
+ 
+
+A brief tour of some popular plugins
+####################################
+
+.. include:: bzrtools_plugin.txt
+.. include:: svn_plugin.txt
+.. include later looms_plugin.txt
+
+
+Integrating Bazaar into your environment
+########################################
+
+.. include:: web_browsing.txt
+.. include later - file_explorers.txt
+.. include later - desktop_integration.txt
+.. include later - editors_and_ides.txt
+.. include later - email.txt
+.. include:: bug_trackers.txt
+
+
+Appendices
+##########
+
+.. include:: specifying_revisions.txt
+.. include:: organizing_your_workspace.txt
+.. include:: shared_repository_layouts.txt
+.. include:: setting_up_email.txt
+.. include:: http_smart_server.txt
+.. include:: writing_a_plugin.txt
+
+.. |--| unicode:: U+2014
+

=== added file 'doc/es/user-guide/index-plain.txt'
--- doc/es/user-guide/index-plain.txt	1970-01-01 00:00:00 +0000
+++ doc/es/user-guide/index-plain.txt	2009-09-09 12:57:43 +0000
@@ -0,0 +1,114 @@
+##########################
+Guia de Usuarios de Bazaar
+##########################
+
+.. Files are currently links but will become includes once the
+.. content makes more sense as a whole.
+.. Please mark sections in linked/included files as following:
+..   level 1 ========
+..   level 2 --------
+..   level 3 ~~~~~~~~
+..   level 4 ^^^^^^^^ (it is better not to use nesting deeper than 3 levels)
+
+
+Introducción
+############
+
+.. include later - introducing_bazaar.txt
+.. include later - core_concepts.txt
+.. include later - bazaar_workflows.txt
+
+
+Empezando
+#########
+
+.. include later - installing_bazaar.txt
+.. include later -  entering_commands.txt
+.. include later - revnos.txt
+.. include later - getting_help.txt
+.. include later - configuring_bazaar.txt
+.. include later - using_aliases.txt
+.. include later - plugins.txt
+
+
+Control de Versionamiento Personal
+##################################
+
+.. include later - solo_intro.txt
+.. include later - starting_a_project.txt
+.. include later - controlling_registration.txt
+.. include later - reviewing_changes.txt
+.. include later - recording_changes.txt
+.. include later - browsing_history.txt
+.. include later - releasing_a_project.txt
+.. include later - undoing_mistakes.txt
+
+
+Compartiendo con tus pares
+##########################
+
+.. include later - partner_intro.txt
+.. include later - branching_a_project.txt
+.. include later - merging_changes.txt
+.. include:: resolving_conflicts.txt
+.. include later - annotating_changes.txt
+
+
+Colaboración en equipo, modo centralizado
+#########################################
+
+.. include later - central_intro.txt
+.. include later - publishing_a_branch.txt
+.. include later - using_checkouts.txt
+.. include later - working_offline_central.txt
+.. include later - reusing_a_checkout.txt
+
+
+Colaboracion en equipo, modo distribuido
+########################################
+
+.. include later - distributed_intro.txt
+.. include later - organizing_branches.txt
+.. include later - using_gatekeepers.txt
+.. include later - sending_changes.txt
+
+
+Un tour breve de los plugins mas populares
+##########################################
+
+.. include later - part2_intro.txt
+.. include later - bzrtools_plugin.txt
+.. include later - svn_plugin.txt
+.. include later looms_plugin.txt
+
+
+Integrando Bazaar en tu entorno
+###############################
+
+.. include later - web_browsing.txt
+.. include later - file_explorers.txt
+.. include later - desktop_integration.txt
+.. include later - editors_and_ides.txt
+.. include later - email.txt
+.. include later - bug_trackers.txt
+
+
+Temas varios
+############
+
+.. include later - adv_merging.txt
+.. include later - server.txt
+.. include later - hooks.txt
+.. include:: version_info.txt
+ 
+
+Apéndice
+########
+
+.. include later - specifying_revisions.txt
+.. include later - shared_repository_layouts.txt
+.. include later - setting_up_email.txt
+.. include later - http_smart_server.txt
+.. include later - writing_a_plugin.txt
+
+.. |--| unicode:: U+2014

=== added file 'doc/index.es.txt'
--- doc/index.es.txt	1970-01-01 00:00:00 +0000
+++ doc/index.es.txt	2009-09-09 12:57:43 +0000
@@ -0,0 +1,46 @@
+==================================
+Indice de Documentacion de Bazaar
+==================================
+
+Las ultimas versiones de estos documentos se encuentran disponibles
+en la pagina de  Bazaar, http://doc.bazaar-vcs.org.
+
+Documentacion Principal
+=======================
+
+* `Mini Tutorial <es/mini-tutorial/index.html>`_ 
+
+* `Referencia Rapida <es/_static/es/bzr-es-quick-reference.svg>`_
+
+* `Guia de Usuario <es/user-guide/index-plain.html>`_ 
+
+* `Referencia <en/user-reference/bzr_man.html>`_ 
+
+* `Notas sobre la Version <en/release-notes/NEWS.html>`_
+
+* `Guia del Desarrollador <developers/HACKING.html>`_
+
+
+Otra Documentacion
+===================
+
+Mudandose a Bazaar (enlances web):
+
+* `Guias de Mudanzas <http://bazaar-vcs.org/BzrSwitching>`_ 
+  - para los usuarios que se mudan de otros SCV
+
+* `Guias de Migracion <http://bazaar-vcs.org/BzrMigration>`_
+  - para equipos que mudan el historial de otros SCV
+
+Otros Documentos (enlances web):
+
+* `Glosario <http://bazaar-vcs.org/BzrGlossary>`_
+
+* `Preguntas Frecuentes <http://bazaar-vcs.org/FAQ>`_
+
+* `Referencia del API bzrlib <http://bazaar-vcs.org/BzrLib>`_
+
+Especificaciones tecnicas, planes a futuro y varias
+notas tecnicas varias en Ingles:
+
+* `Catalogo de Documentos para Desarrolladores <developers/index.html>`_

=== added file 'doc/index.ru.txt'
--- doc/index.ru.txt	1970-01-01 00:00:00 +0000
+++ doc/index.ru.txt	2009-09-09 12:57:43 +0000
@@ -0,0 +1,63 @@
+=================================
+Главный каталог документов Bazaar
+=================================
+
+Последняя версия этих документов доступа со страницы документации 
+на сайте Bazaar, <http://doc.bazaar-vcs.org/>. Еще больше информации 
+можно получить по адресу <http://bazaar-vcs.org/Documentation>.
+
+Основная документация
+=====================
+
+* `Руководство пользователя <ru/user-guide/index-plain.html>`_
+
+* `Справочник пользователя <en/user-reference/bzr_man.html>`_ (англ.)
+
+* `Карточка быстрого старта <ru/_static/ru/bzr-ru-quick-reference.svg>`_
+  (`PDF <ru/_static/ru/bzr-ru-quick-reference.pdf>`_,
+  `PNG <ru/_static/ru/bzr-ru-quick-reference.png>`_)
+
+* `Список изменений <en/release-notes/NEWS.html>`_ (англ.)
+
+* `Каталог информации для разработчиков <developers/index-plain.html>`_ (англ.) |--| 
+  для разработчиков Bazaar и плагинов
+
+Учебники
+========
+
+* `Базар за пять минут <ru/mini-tutorial/index.html>`_
+
+* `Большой учебник <ru/tutorials/tutorial.html>`_
+
+* `Использование Bazaar с Launchpad 
+  <ru/tutorials/using_bazaar_with_launchpad.html>`_
+
+* `Работа в централизованном стиле
+  <ru/tutorials/centralized_workflow.html>`_
+
+Ссылки в сети
+=============
+
+* `Руководства по переходу <http://bazaar-vcs.org/BzrSwitching>`_
+  |--| для пользователей переходящих с других систем контроля версий
+
+* `Руководство по миграции <http://bazaar-vcs.org/BzrMigration>`_
+  |--| для команд переносящих историю с других систем контроля версий
+
+* `Словарь терминов <http://bazaar-vcs.org/BzrGlossary>`_ (англ.), 
+  см. также `русскую версию`__ 
+  
+__  http://groups.google.com/group/ru_bzr/web/%D0%B3%D0%BB%D0%BE%D1%81%D1%81%D0%B0%D1%80%D0%B8%D0%B9
+
+* `Часто задаваемые вопросы <http://bazaar-vcs.org/FAQ>`_ (англ.)
+
+Другие языки
+============
+
+* `Документация на английском <index.html>`_ |--| English Documentation
+* `Документация на испанском <index.es.html>`_
+
+.. |--| unicode:: U+2014
+
+..
+   vim: ft=rst tw=74 ai

=== added file 'doc/index.txt'
--- doc/index.txt	1970-01-01 00:00:00 +0000
+++ doc/index.txt	2009-09-09 12:57:43 +0000
@@ -0,0 +1,66 @@
+============================
+Bazaar Main Document Catalog
+============================
+
+The latest version of these documents are available from Bazaar's
+documentation site, <http://doc.bazaar-vcs.org/>, and more documentation
+may be linked from <http://bazaar-vcs.org/Documentation>.
+
+Core Documentation
+==================
+
+* `User Guide <en/user-guide/index-plain.html>`_ 
+
+* `User Reference <en/user-reference/bzr_man.html>`_ 
+
+* `Quick Start Card <en/_static/en/bzr-en-quick-reference.svg>`_
+  (`PDF <en/_static/en/bzr-en-quick-reference.pdf>`_,
+  `PNG <en/_static/en/bzr-en-quick-reference.png>`_)
+
+* `Release Notes <en/release-notes/NEWS.html>`_
+
+* `2.0 Upgrade Guide <en/upgrade-guide/index.html>`_ 
+
+
+Tutorials
+=========
+
+* `Bazaar in five minutes <en/mini-tutorial/index.html>`_ 
+
+* `A longer tutorial <en/tutorials/tutorial.html>`_ 
+
+* `Using Bazaar with Launchpad <en/tutorials/using_bazaar_with_launchpad.html>`_ 
+
+* `Centralized workflow <en/tutorials/centralized_workflow.html>`_ 
+
+
+Developer Documentation
+=======================
+
+* `Developer Document Catalog <developers/index-plain.html>`_ |--| for developers
+  of Bazaar and plugins
+
+Web links
+=========
+
+* `Switching Guides <http://bazaar-vcs.org/BzrSwitching>`_ 
+  |--| for users moving from another VCS tool
+
+* `Migration Guide <http://bazaar-vcs.org/BzrMigration>`_
+  |--| for teams migrating history from another VCS tool
+
+* `Glossary <http://bazaar-vcs.org/BzrGlossary>`_
+
+* `Frequently Asked Questions <http://bazaar-vcs.org/FAQ>`_
+
+
+Other Languages
+===============
+
+* `Spanish Documentation <index.es.html>`_
+* `Russian Documentation <index.ru.html>`_ |--| документация на русском
+
+.. |--| unicode:: U+2014
+
+..
+   vim: ft=rst tw=74 ai

=== added file 'doc/ru/user-guide/index-plain.txt'
--- doc/ru/user-guide/index-plain.txt	1970-01-01 00:00:00 +0000
+++ doc/ru/user-guide/index-plain.txt	2009-09-09 12:57:43 +0000
@@ -0,0 +1,121 @@
+###############################
+Руководство пользователя Bazaar
+###############################
+
+.. Пожалуйста отмечайте секции в подключаемых файлах следующим образом:
+..   уровень 1 ========
+..   уровень 2 --------
+..   уровень 3 ~~~~~~~~
+..   уровень 4 ^^^^^^^^ (лучше не использовать вложенность больше 3-х уровней)
+
+.. contents::
+   Содержание
+   :depth: 2
+.. sectnum::
+
+
+Введение
+########
+
+.. include:: introducing_bazaar.txt
+.. include:: core_concepts.txt
+.. include:: ../../en/user-guide/bazaar_workflows.txt
+
+
+Начинаем работать
+#################
+
+.. include:: ../../en/user-guide/installing_bazaar.txt
+.. include:: ../../en/user-guide/entering_commands.txt
+.. include:: ../../en/user-guide/getting_help.txt
+.. include:: ../../en/user-guide/configuring_bazaar.txt
+.. include:: ../../en/user-guide/using_aliases.txt
+.. include:: ../../en/user-guide/plugins.txt
+.. include:: zen.txt
+
+
+Личный контроль версий
+######################
+
+.. include:: ../../en/user-guide/solo_intro.txt
+.. include:: ../../en/user-guide/starting_a_project.txt
+.. include:: ../../en/user-guide/controlling_registration.txt
+.. include:: ../../en/user-guide/reviewing_changes.txt
+.. include:: ../../en/user-guide/recording_changes.txt
+.. include:: ../../en/user-guide/browsing_history.txt
+.. include:: ../../en/user-guide/releasing_a_project.txt
+.. include:: ../../en/user-guide/undoing_mistakes.txt
+
+
+Делимся с другими
+#################
+
+.. include:: ../../en/user-guide/partner_intro.txt
+.. include:: branching_a_project.txt
+.. include:: ../../en/user-guide/merging_changes.txt
+.. include:: ../../en/user-guide/resolving_conflicts.txt
+.. include:: ../../en/user-guide/annotating_changes.txt
+
+
+Сотрудничество в команде, централизованный стиль
+################################################
+
+.. include:: ../../en/user-guide/central_intro.txt
+.. include:: ../../en/user-guide/publishing_a_branch.txt
+.. include:: using_checkouts.txt
+.. include:: ../../en/user-guide/working_offline_central.txt
+.. include:: ../../en/user-guide/reusing_a_checkout.txt
+
+
+Сотрудничество в команде, распределенный стиль
+##############################################
+
+.. include:: ../../en/user-guide/distributed_intro.txt
+.. include:: ../../en/user-guide/organizing_branches.txt
+.. include:: ../../en/user-guide/using_gatekeepers.txt
+.. include:: ../../en/user-guide/sending_changes.txt
+
+
+Различные темы
+##############
+
+.. include:: ../../en/user-guide/part2_intro.txt
+.. include:: ../../en/user-guide/adv_merging.txt
+.. include:: ../../en/user-guide/shelving_changes.txt
+.. include:: ../../en/user-guide/filtered_views.txt
+.. include:: stacked.txt
+.. include:: ../../en/user-guide/server.txt
+.. include:: ../../en/user-guide/hooks.txt
+.. include:: ../../en/user-guide/version_info.txt
+ 
+
+Краткое описание некоторых популярных плагинов
+##############################################
+
+.. include:: ../../en/user-guide/bzrtools_plugin.txt
+.. include:: ../../en/user-guide/svn_plugin.txt
+.. include later looms_plugin.txt
+
+
+Интегрируем Bazaar в нашу среду
+###############################
+
+.. include:: ../../en/user-guide/web_browsing.txt
+.. include later - file_explorers.txt
+.. include later - desktop_integration.txt
+.. include later - editors_and_ides.txt
+.. include later - email.txt
+.. include:: ../../en/user-guide/bug_trackers.txt
+
+
+Приложения
+##########
+
+.. include:: specifying_revisions.txt
+.. include:: ../../en/user-guide/organizing_your_workspace.txt
+.. include:: ../../en/user-guide/shared_repository_layouts.txt
+.. include:: ../../en/user-guide/setting_up_email.txt
+.. include:: ../../en/user-guide/http_smart_server.txt
+.. include:: ../../en/user-guide/writing_a_plugin.txt
+
+.. |--| unicode:: U+2014

